### Constructor

# FwupdPlugin IOChannel unix_new

since: 1.2.2

#### Declaration [src]

    FuIOChannel*
    fu_io_channel_unix_new (
      gint fd
    )

#### Description [src]

Creates a new object to write and read from.

Available since: 1.2.2

#### Parameters

`fd`

  Type: `gint`

  File descriptor.

#### Return value

Type: `FuIOChannel`

A `FuIOChannel`.

The caller of the function takes ownership of the data, and is responsible for freeing it.